Resource

Incoming Call Log Item

Child log for each escalation attempt / user ring within a call.

The Incoming Call Log Item Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Status200 Project in which this object belongs

  • Name
    incomingCallLog
    Type
    Incoming Call Log
    Description

    Relation to the parent Incoming Call Log

  • Name
    incomingCallLogId
    Type
    Object IDRequired
    Description

    ID of the parent Incoming Call Log

  • Name
    incomingCallPolicyEscalationRule
    Type
    Incoming Call Policy Escalation Rule
    Description

    Which escalation rule was used

  • Name
    incomingCallPolicyEscalationRuleId
    Type
    Object ID
    Description

    ID of the escalation rule used

  • Name
    user
    Type
    User
    Description

    User who was called

  • Name
    userId
    Type
    Object ID
    Description

    User ID who was called

  • Name
    userPhoneNumber
    Type
    Phone
    Description

    Phone number that was dialed

  • Name
    status
    Type
    TextRequired
    Description

    Status of this dial attempt

  • Name
    statusMessage
    Type
    Long Text
    Description

    Additional status information

  • Name
    dialDurationInSeconds
    Type
    Number
    Description

    How long this dial lasted in seconds

  • Name
    callCostInUSDCents
    Type
    Number
    Description

    Cost for this dial attempt in USD cents

  • Name
    startedAt
    Type
    Date
    Description

    When dial started

  • Name
    endedAt
    Type
    Date
    Description

    When dial ended

  • Name
    isAnswered
    Type
    BooleanRequired
    Description

    Whether this user answered the call

GETorPOST/api/incoming-call-log-item/get-list

List

This endpoint allows you to retrieve a paginated list of all your Incoming Call Log Item. By default, a maximum of ten Incoming Call Log Item are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/incoming-call-log-item/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incomingCallLogId": true,
    "isAnswered": true,
    "projectId": true,
    "status": true,
    "_id": true
  },
  "query": {
    "status": "Example status"
  },
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "37736670-28fe-11f1-b591-3fdcef396aba",
      "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
      "isAnswered": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37736671-28fe-11f1-b591-3fdcef396aba",
      "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
      "isAnswered": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    },
    {
      "_id": "37736672-28fe-11f1-b591-3fdcef396aba",
      "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
      "isAnswered": true,
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "status": "Example status"
    }
  ]
}
GETorPOST/api/incoming-call-log-item/:id/get-item

Get item by ID

This endpoint allows you to retrieve Incoming Call Log Item by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/incoming-call-log-item/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "incomingCallLogId": true,
    "isAnswered": true,
    "projectId": true,
    "status": true,
    "_id": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
  "isAnswered": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
POST/api/incoming-call-log-item/count

Count

This endpoint allows you to retrieve the count of all your Incoming Call Log Item.

Optional Request Body

Count Request

POST
/api/incoming-call-log-item/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {
    "status": "Example status"
  }
}

Response

{
  "count": 107
}
POST/api/incoming-call-log-item

Create Incoming Call Log Item

This endpoint allows you to create a new object.

Create Request

POST
/api/incoming-call-log-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
    "isAnswered": true,
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "status": "Example status",
    "callCostInUSDCents": 100
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "incomingCallLogId": "550e8400-e29b-41d4-a716-446655440000",
  "isAnswered": true,
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "status": "Example status"
}
PUT/api/incoming-call-log-item/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/incoming-call-log-item/:id/update-item
GET/api/incoming-call-log-item/:id/update-item

Update Request

PUT
/api/incoming-call-log-item/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "isAnswered": true,
    "status": "Example status",
    "callCostInUSDCents": 100
  }
}

Response

{}
DELETE/api/incoming-call-log-item/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/incoming-call-log-item/:id/delete-item
GET/api/incoming-call-log-item/:id/delete-item

Delete Request

DELETE
/api/incoming-call-log-item/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Incoming Call Log Item

  • Project Owner
  • Project Admin
  • Project Member
  • Read Incoming Call Log Item
  • Read All Project Resources

Create Permissions

Required to create Incoming Call Log Item

  • Project Owner
  • Project Admin

Update Permissions

Required to update Incoming Call Log Item

  • Project Owner
  • Project Admin

Delete Permissions

Required to delete Incoming Call Log Item

  • Project Owner
  • Project Admin